<?php
// Copyright 1999-2017. Plesk International GmbH. All Rights Reserved.

$this->passVariablesToJavaScript([
    'URL_GET_PROGRESS' => $this->urlGetProgress,
    'URL_CANCEL_FETCH_SOURCE' => $this->urlCancelFetchSource,
    'URL_DOWNLOAD_RPC_AGENT' => $this->urlDownloadRpcAgent,
    'FETCH_SOURCE_POLL_INTERVAL' => 1000
]);
$this->includeMigratorJavaScript('locale.js');
$this->addJavaScriptLocaleKeys([
    'fetchSourceStarting',
    'fetchSourceButtonCancel',
    'fetchSourceButtonClose',
    'fetchSourceFinished',
    'fetchSourceCancelling',
    'downloadRpcAgent'
]);
$this->includeMigratorCss('progress-bar.css');
$this->includeMigratorCss('popup/fetch-source.css');
$this->includeMigratorJavaScript('common.js');
$this->includeMigratorJavaScript('overall-status.js');
$this->includeMigratorJavaScript('popup/fetch-source.js');